# Cisco flash

Collection of plugins for Cisco flash

*  *cisco_flash*: monitors Cisco flash partitions
*  *inv_cisco_flash*: Inventory plugin for Cisco flash devices

---
### Download

* [cisco_flash.mkp (latest version)](https://thl-cmk.hopto.org/gitlab/checkmk/cisco/cisco_flash/-/raw/master/cisco_flash.mkp "Download latest version")

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run `mkp install cisco_flash.mkp`.


In the Enterprise/Free edition of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Check info *cisco_flash*

* *service*: this check will create the service *Cisco flash \<parition name\>* for each partition 
* *state*: 
    * **warning**/**critical** if the space used above the configured levels (default 85/90%)
    * **warning**
        * when the space left on the partiton is less then the *lowspacenotifythreshold*
        * if the device needs erasure
* *wato*: you can configure warning/critical level in percent of used space
* *perfdata*: 
    * space used in MB and %
    * \# of files on the partition

---
### Sample output

![sample output](/doc/sample.png?raw=true "sample output")

---
### Inventory pugin info *inv_cisco_flash*
Adds infromations about flash devices, partitions and chips to the inventory

* *wato*:
    *  you can disable the 3 parts of the inventory
    *  you can remove not necessary columns from the inventory


---
### Sample inventory

![sample inventory](/doc/sample_inventory.png?raw=true "sample inventory")

